summaryrefslogtreecommitdiffstats
path: root/makeself
diff options
context:
space:
mode:
authorCosta Tsaousis (ktsaou) <costa@tsaousis.gr>2017-10-01 20:31:24 +0300
committerCosta Tsaousis (ktsaou) <costa@tsaousis.gr>2017-10-01 20:31:24 +0300
commitd643340ae772094817b86d0ebab06d9cc7f1a6e4 (patch)
tree14752eace4b424366536e0186d095e640804895a /makeself
parent8f8c70658c24876fb676e3714e8daf40a8eca601 (diff)
updated to latest makeself
Diffstat (limited to 'makeself')
-rwxr-xr-xmakeself/makeself-header.sh5
-rwxr-xr-xmakeself/makeself.sh8
2 files changed, 6 insertions, 7 deletions
diff --git a/makeself/makeself-header.sh b/makeself/makeself-header.sh
index 93d937b378..83131a17c2 100755
--- a/makeself/makeself-header.sh
+++ b/makeself/makeself-header.sh
@@ -218,10 +218,9 @@ MS_Check()
UnTAR()
{
if test x"\$quiet" = xn; then
- tar \$1 "$UNTAR_EXTRA" -vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 \$$; }
+ tar \$1vf - $UNTAR_EXTRA 2>&1 || { echo " ... Extraction failed." > /dev/tty; kill -15 \$$; }
else
-
- tar \$1 "$UNTAR_EXTRA" -f - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 \$$; }
+ tar \$1f - $UNTAR_EXTRA 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 \$$; }
fi
}
diff --git a/makeself/makeself.sh b/makeself/makeself.sh
index 709473aabe..2ce37a24f3 100755
--- a/makeself/makeself.sh
+++ b/makeself/makeself.sh
@@ -470,8 +470,8 @@ gpg-asymmetric)
GUNZIP_CMD="gpg --yes -d"
;;
openssl)
- GZIP_CMD="openssl aes-256-cbc -a -salt"
- GUNZIP_CMD="openssl aes-256-cbc -d -a"
+ GZIP_CMD="openssl aes-256-cbc -a -salt -md sha256"
+ GUNZIP_CMD="openssl aes-256-cbc -d -a -md sha256"
;;
Unix)
GZIP_CMD="compress -cf"
@@ -529,7 +529,8 @@ if test "$QUIET" = "n";then
echo Adding files to archive named \"$archname\"...
fi
exec 3<> "$tmpfile"
-(cd "$archdir" && ( tar "$TAR_EXTRA" -$TAR_ARGS - . | eval "$GZIP_CMD" >&3 ) ) || { echo Aborting: Archive directory not found or temporary file: "$tmpfile" could not be created.; exec 3>&-; rm -f "$tmpfile"; exit 1; }
+( cd "$archdir" && ( tar $TAR_EXTRA -$TAR_ARGS - . | eval "$GZIP_CMD" >&3 ) ) || \
+ { echo Aborting: archive directory not found or temporary file: "$tmpfile" could not be created.; exec 3>&-; rm -f "$tmpfile"; exit 1; }
exec 3>&- # try to close the archive
fsize=`cat "$tmpfile" | wc -c | tr -d " "`
@@ -617,4 +618,3 @@ else
fi
fi
rm -f "$tmpfile"
-